[sumo-user] API and the SUMO verstion

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[sumo-user] API and the SUMO verstion

Jane Cheung
Dear all, 

The API I used to let SUMO simulated with other software could not be implemented after version 1.1.0. 
If I would like to update the SUMO function(e.g., could recognize the command --junction.taz and active the re-routing devices function for trips.xml.) and do not update pythons files from  sumo_home\tools\traci.  
Is there some method that I could realize it?

Appreciated 
Best regards,


Jane



_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user
Reply | Threaded
Open this post in threaded view
|

Re: [sumo-user] API and the SUMO verstion

Jakob Erdmann
If you wish to upgrade SUMO, you also need to upgrade the traci client library (tools/traci).
The required changes for a traci client script to upgrade from 0.32.0 to 1.0.0+ should be fairly limited.
Most user-visible changes concern representation of time values (ms vs s).

Am Mi., 9. Sept. 2020 um 09:13 Uhr schrieb Jane Cheung <[hidden email]>:
Dear all, 

The API I used to let SUMO simulated with other software could not be implemented after version 1.1.0. 
If I would like to update the SUMO function(e.g., could recognize the command --junction.taz and active the re-routing devices function for trips.xml.) and do not update pythons files from  sumo_home\tools\traci.  
Is there some method that I could realize it?

Appreciated 
Best regards,


Jane


_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user